import { Button, Container, Heading, Text } from "@chakra-ui/react";

export default function () {
  return (
    <Container maxW="container.md">
      <Heading size="lg">Transfer your Save Data</Heading>
      <br />
      <br />
      <Text>Lost your account? Want to shake off a stalker?</Text>
      <br />
      <br />
      <Text size="lg">We can help!</Text>
      <br />
      <br />
      <Text>Some information you should know:</Text>
      <br />
      <Text>
        We might require your .ROBLOSECURITY cookie, depending on your
        circumstances. This is because Roblox does not allow terminated accounts
        to utilize OAuth. Normally this would be a very bad idea, and we don't
        like doing this either, but it may be the only option. Security is also
        less of a concern for terminated accounts as they are blocked from
        accessing almost all Roblox API endpoints (the exceptions being login,
        logout, and creating support tickets - and only the logout endpoint
        doesn't require completing a captcha). If you are concerned about your
        account's security, we suggest logging in to your terminated account in
        a private/incognito window, copying the .ROBLOSECURITY cookie from
        there, and logging out once we have verified your old account (which
        normally only takes a few seconds). The ultra paranoid may also consider
        resetting their password. If you are not convinced or still have
        questions, join our Discord server (link is on the about page) and open
        a ticket with ModMail for us to verify you manually (no cookie
        required).
      </Text>
      <br />
      <br />
      <Button as="a" href="/data-transfer/start">
        Start my Transfer
      </Button>
    </Container>
  );
}
