import { Container, Heading, Link, Text } from "@chakra-ui/react";

export function meta() {
  return [
    {
      title: "Account and Data Privacy - Car Crushers",
    },
  ];
}

export default function () {
  return (
    <Container maxW="container.lg">
      <Heading size="3xl">Account and Data Privacy</Heading>
      <br />
      <br />
      <Heading>How can I delete my Car Crushers account?</Heading>
      <br />
      <Text>
        You can't. We don't operate a formal account system so there is no
        account to delete from our side. User information is tied to your active
        session and is destroyed when that session is revoked. If you are trying
        to delete your Discord account,{" "}
        <Link
          color="#646cff"
          href="https://support.discord.com/hc/articles/212500837"
        >
          click here
        </Link>
        . If you are trying to delete your Roblox account,{" "}
        <Link
          color="#646cff"
          href="https://en.help.roblox.com/hc/en-us/articles/203313050"
        >
          click here
        </Link>
        .
      </Text>
      <br />
      <br />
      <Heading>How do I delete my data?</Heading>
      <br />
      <Text>
        That depends on which data you wish to delete. Personal details such as
        your email address are tied to your active session and are deleted when
        you log out. Other information you may have given us, such as videos of
        players you have reported and your submitted appeals, are subject to the
        appropriate retention time (these can be found in our{" "}
        <Link color="#646cff" href="/privacy">
          privacy policy
        </Link>
        ) and generally cannot be deleted barring extenuating circumstances.
      </Text>
      <br />
      <br />
      <Heading>
        I have other questions about my data or privacy rights, who can I
        contact?
      </Heading>
      <br />
      <Text>
        Please send an email to{" "}
        <Link color="#646cff" href="mailto:r@regalijan.com">
          r@regalijan.com
        </Link>{" "}
        with details of your request.
      </Text>
    </Container>
  );
}
